Substy Developers
Publishing

Update creator feed post

Update an existing creator feed post using the platform's supported text, media and publication settings.

PATCH/v1/agencies/{agencyId}/creators/{creatorId}/posts/{postId}

Update an existing creator feed post using the platform's supported text, media and publication settings.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
postId*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/agencies/string/creators/string/posts/string" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{  "data": {    "id": "string",    "text": "string",    "rawText": "string",    "postedAt": "string",    "postedAtPrecise": "string",    "isPinned": true,    "likesCount": 0,    "commentsCount": 0,    "mediaCount": 0,    "tipsAmount": "string",    "canDelete": true,    "canEdit": true,    "canToggleFavorite": true,    "isOpened": true,    "media": [      {        "id": "string",        "type": "photo",        "files": {          "full": "string",          "thumb": "string",          "preview": "string"        },        "duration": 0,        "width": 0,        "height": 0      }    ]  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}